# SPEQ: Spectrum Quality

Quality assessment of peptide tandem mass spectra with deep learning

This work is published in the Bioinformatics journal: [https://doi.org/10.1093/bioinformatics/btab874](https://doi.org/10.1093/bioinformatics/btab874)

---

**Dependencies:**
- [TensorFlow](https://www.tensorflow.org/install)
- [Pytemoics](https://pypi.org/project/pyteomics/)
- [NumPy](https://numpy.org/install/)
- [Matplotlib](https://matplotlib.org/stable/users/installing/index.html)

---

This is the source code for the first version of SPEQ.
To run the program, run the `SPEQ.py` python file with python3.

### MS input data:
* The MS input data should be in MGF format. 
* The data file is then automatically generated by the program.

### Labels:
* A database search result in `.tsv` format (MS-GF+ output) is used to generate the labels file.
* The decoy prefix used in the database-searching should be defined in the `config.yml` file. The program uses 1% FDR.
* If you want, you can provide your own `label.csv` file.
  It should be a one-column file where each row specifies the label for the spectrum with the scan number equal to the number of the line
  (e.g. If you have a spectrum with scan number 7, then the 7th row of the `label.csv` file should be the label for that spectrum).
